<?php
declare(strict_types=1);

namespace Inti\Image\Resize;

/**
 * Interface ResizeInterface
 *
 * @package Inti\Image\Resize
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-image
 */
interface ResizeInterface
{
    /**
     * @param string $contents
     * @param int|null $width
     * @param int|null $height
     * @param bool $crop
     * @return string
     */
    public function resize(string $contents, int $width = null, int $height = null, bool $crop = false): string;
}
